
Foreman - Feature #141

add support to extlookup kind of queries through foreman

12/19/2009 12:09 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.1-4   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

provide an interface to extlookup, where it can query foreman db.

Associated revisions

Revision 0265427b - 03/09/2010 06:47 AM - Ohad Levy

fixes #141 - add support to extlookup kind of queries through foreman

usage:

wget -q  -O - "http://foreman/lookup?key=ntpserver&order[]=my.domain&order[]=common"

if you want it in YAML, just add:

wget -q  -O - "http://foreman/lookup?key=ntpserver&order[]=my.domain&order[]=common&format=yml"

History

#1 - 12/19/2009 12:29 PM - Ohad Levy

db and http query part:

http://github.com/ohadlevy/foreman/commit/b33878a7899fb1671ef194d93d83fb63f8e5176f

todo web interface to input values

#2 - 12/19/2009 04:52 PM - Ohad Levy

- Status changed from New to Ready For Testing

- Target version set to 0.1-4

- % Done changed from 0 to 100

web part added here:

http://github.com/ohadlevy/foreman/commit/8b3068756f88126c0ab9ed08b807125453b4454f

you may use edge branch to play around

#3 - 03/09/2010 07:15 AM - Ohad Levy

Applied in changeset 0265427b9cb814dabf371099351a9ba5af837c3b.

#4 - 03/09/2010 07:15 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#5 - 10/16/2018 01:30 PM - Tomer Brisker

- Category changed from 19 to Search
